Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.Property

    java.lang.Object
      java.lang.Enum<Sms.Property>
          com.skype.api.Sms.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Sms.Property>

Enclosing class:
  Sms

    public static enum Sms.Property

extends java.lang.Enum<Sms.Property>
implements PropertyEnumConverting

Properties of the Sms class

Enum Constant Summary
`P_BODY`
`P_CHAT_MSG`
`P_FAILURE_REASON`
`P_IS_FAILED_UNSEEN`
`P_PRICE`
`P_PRICE_CURRENCY`
`P_PRICE_PRECISION`
`P_REPLY_TO_NUMBER`
`P_STATUS`
`P_TARGET_NUMBERS`
`P_TARGET_STATUSES`
`P_TIMESTAMP`
`P_TYPE`
`P_UNKNOWN`

Field Summary
`static int` | `P_BODY_VALUE`
`static int` | `P_CHAT_MSG_VALUE`
`static int` | `P_FAILURE_REASON_VALUE`
`static int` | `P_IS_FAILED_UNSEEN_VALUE`
`static int` | `P_PRICE_CURRENCY_VALUE`
`static int` | `P_PRICE_PRECISION_VALUE`
`static int` | `P_PRICE_VALUE`
`static int` | `P_REPLY_TO_NUMBER_VALUE`
`static int` | `P_STATUS_VALUE`
`static int` | `P_TARGET_NUMBERS_VALUE`
`static int` | `P_TARGET_STATUSES_VALUE`
`static int` | `P_TIMESTAMP_VALUE`
`static int` | `P_TYPE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Sms.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Sms.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Sms.Property P_UNKNOWN

### P_TYPE

    public static final Sms.Property P_TYPE

### P_STATUS

    public static final Sms.Property P_STATUS

### P_FAILURE_REASON

    public static final Sms.Property P_FAILURE_REASON

### P_IS_FAILED_UNSEEN

    public static final Sms.Property P_IS_FAILED_UNSEEN

### P_TIMESTAMP

    public static final Sms.Property P_TIMESTAMP

### P_PRICE

    public static final Sms.Property P_PRICE

### P_PRICE_PRECISION

    public static final Sms.Property P_PRICE_PRECISION

### P_PRICE_CURRENCY

    public static final Sms.Property P_PRICE_CURRENCY

### P_REPLY_TO_NUMBER

    public static final Sms.Property P_REPLY_TO_NUMBER

### P_TARGET_NUMBERS

    public static final Sms.Property P_TARGET_NUMBERS

### P_TARGET_STATUSES

    public static final Sms.Property P_TARGET_STATUSES

### P_BODY

    public static final Sms.Property P_BODY

### P_CHAT_MSG

    public static final Sms.Property P_CHAT_MSG

Field Detail

### P_TYPE_VALUE

    public static final int P_TYPE_VALUE

See Also:
  Constant Field Values

### P_STATUS_VALUE

    public static final int P_STATUS_VALUE

See Also:
  Constant Field Values

### P_FAILURE_REASON_VALUE

    public static final int P_FAILURE_REASON_VALUE

See Also:
  Constant Field Values

### P_IS_FAILED_UNSEEN_VALUE

    public static final int P_IS_FAILED_UNSEEN_VALUE

See Also:
  Constant Field Values

### P_TIMESTAMP_VALUE

    public static final int P_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_PRICE_VALUE

    public static final int P_PRICE_VALUE

See Also:
  Constant Field Values

### P_PRICE_PRECISION_VALUE

    public static final int P_PRICE_PRECISION_VALUE

See Also:
  Constant Field Values

### P_PRICE_CURRENCY_VALUE

    public static final int P_PRICE_CURRENCY_VALUE

See Also:
  Constant Field Values

### P_REPLY_TO_NUMBER_VALUE

    public static final int P_REPLY_TO_NUMBER_VALUE

See Also:
  Constant Field Values

### P_TARGET_NUMBERS_VALUE

    public static final int P_TARGET_NUMBERS_VALUE

See Also:
  Constant Field Values

### P_TARGET_STATUSES_VALUE

    public static final int P_TARGET_STATUSES_VALUE

See Also:
  Constant Field Values

### P_BODY_VALUE

    public static final int P_BODY_VALUE

See Also:
  Constant Field Values

### P_CHAT_MSG_VALUE

    public static final int P_CHAT_MSG_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Sms.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.Property c : Sms.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Sms.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.